{**********************************************************************
                PilotLogic Software House.
  
 Package pl_FPSpreadsheet.pkg 
 This unit is part of CodeTyphon Studio (http://www.pilotlogic.com/)
***********************************************************************}

unit allspreadsheetreg;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LCLIntf, LCLType, LMessages,
  TypInfo, lresources, PropEdits, ComponentEditors,
  fpspreadsheetgrid,
  fpspreadsheetchart,
  fpspreadsheetctrls,
  //fpdataexporter,
  ActnList,
  fpsActions,
  fpsexport;


  procedure Register;

implementation
{$R allspreadsheetreg.res}

procedure Register;
begin
   RegisterComponents('Spreadsheet',[
                                     // from fpspreadsheetchart.pas
                                     TsWorksheetChartSource, TsWorkbookChartSource,  
                                     
                                     // from fpspreadsheetchart.pas                                      
                                     TFPSExport,
                                     
                                     // from fpspreadsheetgrid.pas
                                     TsWorksheetGrid,
                                     
                                     // from fpspreadsheetctrls.pas
                                     TsWorkbookSource, TsWorkbookTabControl, 
                                     TsCellEdit, TsCellIndicator,  TsCellCombobox,// TsFontNameCombobox, TsFontSizeCombobox,
                                     TsSpreadsheetInspector                                      
                                        ]);
                                       

  RegisterActions('FPSpreadsheet', [
    // Worksheet-releated actions
    TsWorksheetAddAction, TsWorksheetDeleteAction, TsWorksheetRenameAction,
    // Cell or cell range formatting actions
    TsCopyAction,
    TsFontStyleAction, TsFontDialogAction, TsBackgroundColorDialogAction,
    TsHorAlignmentAction, TsVertAlignmentAction,
    TsTextRotationAction, TsWordWrapAction,
    TsNumberFormatAction, TsDecimalsAction,
    TsCellBorderAction, TsNoCellBordersAction,
    TsCellCommentAction, TsCellHyperlinkAction,
    TsMergeAction
  ], nil);
                                  
                                                                      
end;

end.

